﻿@model IEnumerable<ApplidevKPI.Models.Assignment>

@*List Assignment*@
<table class="table setting-table table-responsive">
    <thead class="setting-thread">
        <tr>
            <th scope="col"><a id="create_assignment" onclick='addCreateLine(this, "Assignment")'><span class="setting-plus glyphicon glyphicon-plus"></span></a></th>
            <th scope="col">Libellé</th>
            <th scope="col">Ordre d’affichage</th>
            <th scope="col">Facturable</th>
            <th scope="col">Édition</th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.OrderBy(assigment => assigment.Display_order))
        {
            <tr>
                <td></td>
                <td>
                    @Html.DisplayFor(modelItem => item.Wording)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Display_order)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Billable)
                </td>
                <td style="user-select: none;">
                    <a id="@item.PK_ID" class="setting-edit glyphicon glyphicon-pencil" onclick='addEditLine(this, "Assignment");'></a>
                    <a id="@item.PK_ID" class="setting-delete glyphicon glyphicon-trash" onclick='deleteConfirmation(this, "DeleteAssignment","@item.Wording");'></a>
                </td>
            </tr>
        }
    </tbody>
</table>